Установка AMD Catalyst 15.7 (fglrx 15.20.1046) на Kali 2.0 (Sana)

Vander

CodebyTeam
Администратор
16.01.2016
1 097
2 865
#1
Всвязи с большим количеством комментариев к статье Установка проприетарного драйвера AMD ATI fglrx на Kali Linux 1.1.0a, размещаю актуальную информацию по установке на дистрибутив Kali 2.0 (Sana):

Данная статья подробно обьясняет как установить AMD Catalyst 15.7 (fglrx 15.20.1046) на дистрибутив Kali 2.0 (Sana). (Проверял сам и проблем в установке не возникло, карта RADEON HD 6310) Переводил тоже сам, так, что прошу прощения за возможные ошибки.


Установка AMD Catalyst 15.7 (fglrx 15.20.1046) на Kali 2.0 (Sana)

Необходимо знать, что Kali 2.0 основан на Debian 8, поэтому, когда Х-сервер начинает загрузку драйверов модулей, он делает это в каталоге / usr / Lib. Это происходит в Debian.
Когда сценарий установки Catalyst запускается, он определяет архитектуру нашего компьютера и обращает внимание на следующие папки в следующем порядке: Если архитектура x86_x64 он проверит наличие каталога / usr/ lib64, если каталог не существует, то будет использован / usr / lib для установки. Нечто подобное происходит с архитектурой i386.

Kali имеет оба каталога, / usr / lib / и /usr / lib64. Ранее было отмечено, что Кали основан на Debian, по этому в Кали, Х-сервер будет загружать модули драйвера из каталога / usr / lib, но в Kali также есть каталог / usr/ lib64, и при установке Catalyst он будет установлен в / usr / lib64 каталог, а не в / usr / lib, собственно в который и должен быть установлен.
Чтобы исправить данную проблему, мы должны переименовать каталоги / usr/ lib64 и / usr / x86_64-linux-gnu, добавив точку перед именем, это скроет каталоги, и таким образом, сценарий установки не найдет их, и будет использовать / usr / lib, чтобы установить драйвер.

Выполните следующие команды.
Во-первых, мы переименовываем папки:

Код:
mv /usr/lib64 /usr/.lib64
mv /usr/x86_64-linux-gnu /usr/.x86_64-linux-gnu
Так как Kali имеет ядро 4.0 нам нужно будет пропатчить Catalyst, чтобы заставить его работать с этой версией ядра, но мы можем пропустить этот шаг, загрузив следующий патченный пакет.

Для просмотра контента необходимо: Войти или зарегистрироваться


Прежде чем мы начнем, нам нужно установить некоторые зависимости, открываем терминал и выполняем следующую команду:

Код:
apt-get install gcc g++ make dkms fakeroot
После загрузки Catalyst, мы должны его распаковать. В папке, куда мы распаковали Catalyst открываем терминал и выполняем следующие команды:

Код:
cd Setup-Experimental
mkdir /lib/modules/4.0.0-kali1-amd64/build/include/linux
cp /usr/include/linux/version.h /lib/modules/4.0.0-kali1-amd64/build/include/linux/
sh ati-installer.sh 15.20 –install
После установки драйвера, компьютер предложит перезагрузку. Выберите "Нет".
Теперь нам нужно создать файл конфигурации для X-сервера, чтобы выполнить следующую команду:

Код:
aticonfig –initial
Примечание: Если вам нужно использовать различные варианты aticonfig вводим следующую команду.

Код:
aticonfig –help
По умолчанию, Кали поставляется с GNOME, так что мы должны предпринять следующие шаги, чтобы GNOME работал правильно.

К сожалению, Catalyst имеет некоторые проблемы совместимости с GNOME, исправляем следующими командами:
Код:
echo "export COGL_DRIVER=gl" >> /etc/environment
echo "export COGL_OVERRIDE_GL_VERSION=1.4" >> /etc/environment
echo "export COGL_RENDERER=GLX" >> /etc/environment
echo "export LD_PRELOAD=/usr/lib/fglrx/fglrx-libGL.so.1.2" >> /etc/environment
Вопрос с GDM решен.

Теперь необходимо определить версию OpenGL чтобы сессия GNOME грузилась правильно.
Чтобы сделать это, выполните в терминале следующие команды:

Код:
echo "export COGL_DRIVER=gl" > ~/.xsession
echo "export COGL_OVERRIDE_GL_VERSION=1.4" >> ~/.xsession
echo "export COGL_RENDERER=GLX" >> ~/.xsession
echo "export LD_PRELOAD=/usr/lib/fglrx/fglrx-libGL.so.1.2" >> ~/.xsession
echo "gnome-session" >> ~/.xsession
GNOME - пользователям ноутбуков.

Есть crash причиной которого является ошибка Х которая утверждает аргументы XRRChangeOutputProperty called from mutter-3.14.4/src/backends/x11/meta-monitor-manager-xrandr.c: output_set_presentation_xrandr.

Чтобы исправить эту ошибку, мы должны перекомпилировать "mutter" из источника приведенного ниже. Для пользователей архитектуры amd64 можно сохранить работу, загрузив следующие файлы, которые уже скомпилированы.

gir1.2-mutter-3.0_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

libmutter-dev_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

libmutter0e_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

mutter_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

mutter-common_3.14.4-1~deb8u1_all.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

mutter-dbg_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться



Чтобы установить пакеты откройте терминал в папке, куда вы загрузили пакеты и выполните следующую команду:

Код:
sudo dpkg -i *.deb
Если у вас есть проблемы с некоторыми зависимостями при установке пакетов, необходимо выполнить команду:

Код:
sudo apt-get -f install
Перед перезагрузкой компьютера, мы должны переименовать каталоги обратно, потому что они содержат файлы, которые нужны нашей системе.
Выполняем следующие команды.

Код:
mv /usr/.lib64 /usr/lib64
mv /usr/.x86_64-linux-gnu /usr/x86_64-linux-gnu
Готово. Перезагружаемся и тестируем драйвера следующей командой.
fgl_glxgears
 
Последнее редактирование модератором:

Minghags

New member
07.02.2016
2
0
#2
После команды
Код:
sh ati-installer.sh 15.20 –install
Появляются эти строки
Код:
Detected configuration:
Architecture: x86_64 (64-bit)
X Server: X.Org 6.9 or later 64-bit
И ничего больше не происходит.
Помогите советом, что не так?
Сисмема х64, карточка ати 7870
 

Vander

CodebyTeam
Администратор
16.01.2016
1 097
2 865
#3
После команды
Код:
sh ati-installer.sh 15.20 –install
Появляются эти строки
Код:
Detected configuration:
Architecture: x86_64 (64-bit)
X Server: X.Org 6.9 or later 64-bit
И ничего больше не происходит.
Помогите советом, что не так?
Сисмема х64, карточка ати 7870
А ранее вы пробовали ставить графические драйвера именно на этой системе?
 

Minghags

New member
07.02.2016
2
0
#4
Нет, не пробовал, получилось установить только после перехода на хfce, с gnome никак не хотело появляться окно установщика. Правда теперь периодически возникает другая проблема, не грузится графическая оболочка, помогает
Код:
aticonfig --initial -f
И затем перезагрузка.
startx без этой процедуры просто выдаёт ошибку.
Код:
fglrxinfo
fgl_glxgears
Ошибок никаких не выдают.
 
G

ghost

#5
А что делать если установлен последний х64 (kali 2.0) дистрибутив и у меня в папке /usr отсутствует папка
/usr/x86_64-linux-gnu (да и любая подобная), только lib и lib64 соответственно ?

Точнее у меня стоит Kali-rolling (2016) с картой AMD Radeon HD 6520G, какой нужно именно ставить драйвер (откуда взять, с офф.сайта, или драйвер от 13-го года с amd-catalyst-13.12-linux-x86.x86_64.run) и в какой последовательности ?
 
Последнее редактирование:
С

Сергей-KALI

#6
На этапе установки скачаного пропатченного драйвера ati-installer.sh 15.20 выдало, что каталист не поддерживает мой драйвер. Какой надо ставить? 13.1? Я так понял, пропатченного нет? Вопрос - на kali linux нельзя поставить родной драйвер видеокарты ATI? Менять Кали или видуху??

Поправка - не поддерживает мою видеокарту
 
Последнее редактирование модератором:
04.05.2016
18
1
#7
Всвязи с большим количеством комментариев к статье Установка проприетарного драйвера AMD ATI fglrx на Kali Linux 1.1.0a, размещаю актуальную информацию по установке на дистрибутив Kali 2.0 (Sana):

Данная статья подробно обьясняет как установить AMD Catalyst 15.7 (fglrx 15.20.1046) на дистрибутив Kali 2.0 (Sana). (Проверял сам и проблем в установке не возникло, карта RADEON HD 6310) Переводил тоже сам, так, что прошу прощения за возможные ошибки.


Установка AMD Catalyst 15.7 (fglrx 15.20.1046) на Kali 2.0 (Sana)

Необходимо знать, что Kali 2.0 основан на Debian 8, поэтому, когда Х-сервер начинает загрузку драйверов модулей, он делает это в каталоге / usr / Lib. Это происходит в Debian.
Когда сценарий установки Catalyst запускается, он определяет архитектуру нашего компьютера и обращает внимание на следующие папки в следующем порядке: Если архитектура x86_x64 он проверит наличие каталога / usr/ lib64, если каталог не существует, то будет использован / usr / lib для установки. Нечто подобное происходит с архитектурой i386.

Kali имеет оба каталога, / usr / lib / и /usr / lib64. Ранее было отмечено, что Кали основан на Debian, по этому в Кали, Х-сервер будет загружать модули драйвера из каталога / usr / lib, но в Kali также есть каталог / usr/ lib64, и при установке Catalyst он будет установлен в / usr / lib64 каталог, а не в / usr / lib, собственно в который и должен быть установлен.
Чтобы исправить данную проблему, мы должны переименовать каталоги / usr/ lib64 и / usr / x86_64-linux-gnu, добавив точку перед именем, это скроет каталоги, и таким образом, сценарий установки не найдет их, и будет использовать / usr / lib, чтобы установить драйвер.

Выполните следующие команды.
Во-первых, мы переименовываем папки:

Код:
mv /usr/lib64 /usr/.lib64
mv /usr/x86_64-linux-gnu /usr/.x86_64-linux-gnu
Так как Kali имеет ядро 4.0 нам нужно будет пропатчить Catalyst, чтобы заставить его работать с этой версией ядра, но мы можем пропустить этот шаг, загрузив следующий патченный пакет.

Для просмотра контента необходимо: Войти или зарегистрироваться


Прежде чем мы начнем, нам нужно установить некоторые зависимости, открываем терминал и выполняем следующую команду:

Код:
apt-get install gcc g++ make dkms fakeroot
После загрузки Catalyst, мы должны его распаковать. В папке, куда мы распаковали Catalyst открываем терминал и выполняем следующие команды:

Код:
cd Setup-Experimental
mkdir /lib/modules/4.0.0-kali1-amd64/build/include/linux
cp /usr/include/linux/version.h /lib/modules/4.0.0-kali1-amd64/build/include/linux/
sh ati-installer.sh 15.20 –install
После установки драйвера, компьютер предложит перезагрузку. Выберите "Нет".
Теперь нам нужно создать файл конфигурации для X-сервера, чтобы выполнить следующую команду:

Код:
aticonfig –initial
Примечание: Если вам нужно использовать различные варианты aticonfig вводим следующую команду.

Код:
aticonfig –help
По умолчанию, Кали поставляется с GNOME, так что мы должны предпринять следующие шаги, чтобы GNOME работал правильно.

К сожалению, Catalyst имеет некоторые проблемы совместимости с GNOME, исправляем следующими командами:
Код:
echo "export COGL_DRIVER=gl" >> /etc/environment
echo "export COGL_OVERRIDE_GL_VERSION=1.4" >> /etc/environment
echo "export COGL_RENDERER=GLX" >> /etc/environment
echo "export LD_PRELOAD=/usr/lib/fglrx/fglrx-libGL.so.1.2" >> /etc/environment
Вопрос с GDM решен.

Теперь необходимо определить версию OpenGL чтобы сессия GNOME грузилась правильно.
Чтобы сделать это, выполните в терминале следующие команды:

Код:
echo "export COGL_DRIVER=gl" > ~/.xsession
echo "export COGL_OVERRIDE_GL_VERSION=1.4" >> ~/.xsession
echo "export COGL_RENDERER=GLX" >> ~/.xsession
echo "export LD_PRELOAD=/usr/lib/fglrx/fglrx-libGL.so.1.2" >> ~/.xsession
echo "gnome-session" >> ~/.xsession
GNOME - пользователям ноутбуков.

Есть crash причиной которого является ошибка Х которая утверждает аргументы XRRChangeOutputProperty called from mutter-3.14.4/src/backends/x11/meta-monitor-manager-xrandr.c: output_set_presentation_xrandr.

Чтобы исправить эту ошибку, мы должны перекомпилировать "mutter" из источника приведенного ниже. Для пользователей архитектуры amd64 можно сохранить работу, загрузив следующие файлы, которые уже скомпилированы.

gir1.2-mutter-3.0_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

libmutter-dev_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

libmutter0e_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

mutter_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

mutter-common_3.14.4-1~deb8u1_all.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться

mutter-dbg_3.14.4-1~deb8u1_amd64.deb >>
Для просмотра контента необходимо: Войти или зарегистрироваться



Чтобы установить пакеты откройте терминал в папке, куда вы загрузили пакеты и выполните следующую команду:

Код:
sudo dpkg -i *.deb
Если у вас есть проблемы с некоторыми зависимостями при установке пакетов, необходимо выполнить команду:

Код:
sudo apt-get -f install
Перед перезагрузкой компьютера, мы должны переименовать каталоги обратно, потому что они содержат файлы, которые нужны нашей системе.
Выполняем следующие команды.

Код:
mv /usr/.lib64 /usr/lib64
mv /usr/.x86_64-linux-gnu /usr/x86_64-linux-gnu
Готово. Перезагружаемся и тестируем драйвера следующей командой.
fgl_glxgears
mv /usr/lib64 /usr/.lib64
mv /usr/x86_64-linux-gnu /usr/.x86_64-linux-gnu нет такого файла или каталога )
 

gt76g

Member
10.12.2016
21
10
#13
А никто не пробовал установить драйвера АМД по этой инструкции на Паррот?
 
09.12.2016
14
1
#14
Да, пробовал поставить с официального амд каталист 15.9 (у меня hd6320), так и чуть не убил систему, пришлось через live xorg конфиг затирать, а потом с командной sh uninstal frglx делать (((
Надо срочно инструкцию на роллинг (((
 

ghost

penetration testing
Grey Team
12.05.2016
1 110
1 995
#15
Ее нет даже на официальном форуме. С AMD какие-то проблемы...
 

ghost

penetration testing
Grey Team
12.05.2016
1 110
1 995
#17
Да я знаю, уже весь инет перерыл за двое суток ((( и буржуйские, и наши форумы (((( одна надежда на тебя была ((((
А я то что? :) Не я же дрова на amd пилю.
Как что-то прояснится по этой теме - сразу сюда зальется.
 
09.12.2016
14
1
#18
Да не, просто ссылка какая-то выше была, что ты вроде нашёл способ, но она для меня скрыта (меньше 30 сообщений). Вот на что и надеялся, так что это с моей стороны без претензий))) Может посоветуешь, что делать gpu ой как нужно, тем более что скоро начнём с кластерами эксперементировать, а там 2 видюхи неплохие)) на ноуте это начальный вариант эксперимента, хотим монстра создать))) много голового))))
Может как вариант на Sana откат?
 

ghost

penetration testing
Grey Team
12.05.2016
1 110
1 995
#19
Да не, просто ссылка какая-то выше была, что ты вроде нашёл способ, но она для меня скрыта (меньше 30 сообщений). Вот на что и надеялся, так что это с моей стороны без претензий))) Может посоветуешь, что делать gpu ой как нужно, тем более что скоро начнём с кластерами эксперементировать, а там 2 видюхи неплохие)) на ноуте это начальный вариант эксперимента, хотим монстра создать))) много голового))))
Может как вариант на Sana откат?
Никаких ссылок я не находил. Никаких претензий. И да, на Sana откат можно попробовать. Только репозитории там как-то подключаются (old.репозитории...) не помню.